Subject: Re: bug#66554: [PATCH] Add the public API of Compat to the core

From: Daniel Mendler <[email-masked]>
Date: Thu, 11 Jan 2024 06:27:59 +0100

Stefan Kangas <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> See https://lists.gnu.org/archive/html/emacs-devel/2023-10/msg00260.html
>> for the background behind this proposal.
>
> I'm fine with this, and see the same benefits as described above.
>
> I'd like to hear if Eli and Stefan M has anything to add, though, so I'm
> copying them in here.

Thanks. I also want to make sure that we specify the Compat version
somewhere in the package builtins, such that Compat won't be installed
if it is not needed, e.g., when a package requires (compat "30.1.x") and
is installed on Emacs 30. Philip, what is needed to achieve this? It
seems to me that this is not yet handled in the proposed patch.

Daniel